
<refentry id="FLcolor">
<indexterm id="IndexFLcolor"><primary>FLcolor</primary></indexterm>
  <refentryinfo><title>FLTK:Appearance</title></refentryinfo>
  <refmeta>
    <refentrytitle>FLcolor</refentrytitle>
  </refmeta>

  <refnamediv>
    <refname>FLcolor</refname>
    <refpurpose>
      A FLTK opcode that sets the primary colors.
    </refpurpose>
  </refnamediv>
  
  <refsect1>
    <title>Description</title>
    <para>
      Sets the primary colors to RGB values given by the user.
    </para>
  </refsect1>

  <refsect1>
    <title>Syntax</title>
    <synopsis><command>FLcolor</command> ired, igreen, iblue [, ired2, igreen2, iblue2]</synopsis>
  </refsect1>

  <refsect1>
    <title>Initialization</title>
    <para>
      <emphasis>ired</emphasis> -- The red color of the target widget. The range for each RGB component is 0-255
    </para>

    <para>
      <emphasis>igreen</emphasis> -- The green color of the target widget. The range for each RGB component is 0-255
    </para>

    <para>
      <emphasis>iblue</emphasis> -- The blue color of the target widget. The range for each RGB component is 0-255
    </para>
    <para>
      <emphasis>ired2</emphasis> -- The red component for the secondary color of the target widget. The range for each RGB component is 0-255
    </para>

    <para>
      <emphasis>igreen2</emphasis> -- The green component for the secondary color of the target widget. The range for each RGB component is 0-255
    </para>

    <para>
      <emphasis>iblue2</emphasis> -- The blue component for the secondary color of the target widget. The range for each RGB component is 0-255
    </para>
  </refsect1>

  <refsect1>
    <title>Performance</title>
    <para>
      These opcodes modify the appearance of other widgets. There are
      two types of such opcodes, those that do not contain the <emphasis>ihandle</emphasis> argument which affect all subsequently declared widgets, and those with <emphasis>ihandle</emphasis> which affect only a target widget previously defined.
    </para>

    <para>
      <emphasis>FLcolor</emphasis> sets the primary colors to RGB values given by the user. This opcode affects the primary color of (almost) all widgets defined next its location. User can put several instances of <emphasis>FLcolor</emphasis> in front of each widget he intend to modify. However, to modify a single widget, it would be better to use the opcode belonging to the second type (i.e. those containing <emphasis>ihandle</emphasis> argument).
    </para>

    <para>
      <emphasis>FLcolor</emphasis> is designed to modify the colors of a group of related widgets that assume the same color. The influence of <emphasis>FLcolor</emphasis> on subsequent widgets can be turned off by using -1 as the only argument of the opcode. Also, using -2 (or -3) as the only value of <emphasis>FLcolor</emphasis> makes all next widget colors randomly selected. The difference is that -2 selects a light random color, while -3 selects a dark random color.
    </para>
    <para>
      Using <emphasis>ired2</emphasis>, <emphasis>igreen2</emphasis>, <emphasis>iblue2</emphasis> is equivalent to using a separate <link linkend="FLcolor2"><citetitle>FLcolor2</citetitle></link>.
    </para>
  </refsect1>

  <refsect1>
    <title>See Also</title>
    <para>
      <link linkend="FLcolor2"><citetitle>FLcolor2</citetitle></link>, 
      <link linkend="FLhide"><citetitle>FLhide</citetitle></link>, 
      <link linkend="FLlabel"><citetitle>FLlabel</citetitle></link>, 
      <link linkend="FLsetAlign"><citetitle>FLsetAlign</citetitle></link>, 
      <link linkend="FLsetBox"><citetitle>FLsetBox</citetitle></link>, 
      <link linkend="FLsetColor"><citetitle>FLsetColor</citetitle></link>, 
      <link linkend="FLsetColor2"><citetitle>FLsetColor2</citetitle></link>, 
      <link linkend="FLsetFont"><citetitle>FLsetFont</citetitle></link>, 
      <link linkend="FLsetPosition"><citetitle>FLsetPosition</citetitle></link>, 
      <link linkend="FLsetSize"><citetitle>FLsetSize</citetitle></link>, 
      <link linkend="FLsetText"><citetitle>FLsetText</citetitle></link>, 
      <link linkend="FLsetTextColor"><citetitle>FLsetTextColor</citetitle></link>, 
      <link linkend="FLsetTextSize"><citetitle>FLsetTextSize</citetitle></link>, 
      <link linkend="FLsetTextType"><citetitle>FLsetTextType</citetitle></link>, 
      <link linkend="FLsetVal_i"><citetitle>FLsetVal_i</citetitle></link>, 
      <link linkend="FLsetVal"><citetitle>FLsetVal</citetitle></link>, 
      <link linkend="FLshow"><citetitle>FLshow</citetitle></link>
    </para>
  </refsect1>

  <refsect1>
    <title>Credits</title>
    <para>Author: &namegabriel;</para>
    <para>New in version 4.22</para>
  </refsect1>
</refentry>
